# pgmcrater

Updated: 26 July 2014
Table Of Contents

## NAME

pgmcrater - create cratered terrain by fractal forgery

## SYNOPSIS

pgmcrater [-number n] [-height|-ysize s] [-width|-xsize s] [-gamma g] [-randomseed=integer]

All options can be abbreviated to their shortest unique prefix. You may use two hyphens instead of one to designate an option. You may use either white space or equals signs between an option name and its value.

## DESCRIPTION

This program is part of Netpbm.

pgmcrater is obsolete. All it does now is invoke pamcrater, pamshadedrelief, and pamtopnm. You should use those programs in any new application, or if you are modifying an old program or process that does not have to work with a version of Netpbm before 10.68 (September 2014). pgmcrater exists only for backward compatibility.

The combination of the three programs mentioned above performs the same function as traditional pgmcrater.

pgmcrater's -number, -height, -width, and -randomseed options are equivalent to the options of the same name on pamcrater.

pgmcrater's -gamma option is equivalent to the option of the same name on pamshadedrelief.

pgmcrater's -ysize option is identical to -height; -xsize is identical to -width.

Note: The former pgmcrater code was split into pamcrater and pamshadedrelief. The reason for the split is that having separate programs is more consistent with Netpbm's building block philosophy. It is possible the separate components can be used in other applications.

## SEE ALSO

pamcrater, pamshadedrelief, pamtopnm,

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- SEE ALSO